﻿<%@ Master Language="C#" AutoEventWireup="True" CodeBehind="Site.master.cs" Inherits="Focus.CareerExplorer.Site" %>

<%@ Register Src="~/WebAuth/Controls/LogOut.ascx" TagName="LogOut" TagPrefix="uc" %>
<%@ Register Src="~/WebAuth/Controls/MyAccount.ascx" TagName="MyAccount" TagPrefix="uc" %>
<%@ Register Src="~/WebAuth/Controls/LogInOrRegister.ascx" TagName="LogIn" TagPrefix="uc" %>
<%@ Register Src="~/WebAuth/Controls/ForgotPassword.ascx" TagName="ForgotPassword" TagPrefix="uc" %>
<%@ Register src="~/Controls/AlertModal.ascx" tagname="AlertModal" tagprefix="uc" %>
<%@ Register Src="~/Controls/BddModal.ascx" TagName="BddModal" TagPrefix="uc" %>
<%@ Register Src="~/Controls/PageLocalise.ascx" TagName="PageLocalise" TagPrefix="uc" %>
<%@ Register TagPrefix="uc" Namespace="Focus.CareerExplorer.Controls" Assembly="Focus.CareerExplorer" %>
<%@ Import namespace="Focus.Common.Helpers" %>

<!DOCTYPE html>
<html class="no-js" lang="en">

<head id="Head1" runat="server">
    <meta charset="utf-8"/>
	<meta http-equiv="X-UA-Compatible" content="IE=Edge" />
	<%--
	The below meta tag is the correct way to set up the viewport for mobile devices, but including it at the mo breaks the CSS hacks in Focus.Device.css
	<meta name="viewport" content="width=device-width, initial-scale=1">
	--%>
	<!-- Prevent Skype from formatting phone numbers within the web page -->
    <meta name="viewport" content="width=device-width, initial-scale=1 maximum-scale=1 minimum-scale=1 user-scalable=1"/>
	<meta name="SKYPE_TOOLBAR" content="SKYPE_TOOLBAR_PARSER_COMPATIBLE" />
	<link rel="shortcut icon" href="<%# ResolveUrl("~/Assets/Icons/favicon.ico") %>" type="image/x-icon" />
	<link href="<%# ResolveUrl("~/Assets/Css/tooltipster.css") %>" rel="stylesheet" type="text/css"/>
	<link href="<%# ResolveUrl("~/Assets/Css/jquery-ui-1.10.2.custom.css") %>" rel="stylesheet" type="text/css"/>
	<link href="<%# CoreStylesheetUrl %>" rel="stylesheet" type="text/css" />
  
  <!-- device css start -->
	<!--[if gt IE 8]><!-->
  <link href="<%# DeviceStylesheetUrl %>" rel="stylesheet" type="text/css" />
	<!--<![endif]-->
  <!-- device css start -->
	
	<script src="<%# ResolveUrl("~/Assets/Scripts/Focus.Init.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery-1.9.1.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/modernizr.custom.52389.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.infieldlabel.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.fileinput.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.fieldselection.min.js") %>" type="text/javascript"></script>
	<script src="<%# UrlHelper.GetCacheBusterUrl("~/Assets/Scripts/customSelect.jquery.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.tooltipster.min.js") %>" type="text/javascript"></script>
	<script src="<%# UrlHelper.GetCacheBusterUrl("~/Assets/Scripts/site.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/accordion-menu.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery-ui-1.10.2.custom.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/jquery.ui.message.min.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/json2.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/stayontop.js") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/MaskedEditFix.js") %>" type="text/javascript"></script>
  <script src="<%# ResolveUrl("~/Assets/Scripts/jquery.maskedinput-1.3.1.min.js?version=1.9.0.86") %>" type="text/javascript"></script>
	<script src="<%# ResolveUrl("~/Assets/Scripts/bootstrap.js") %>" type="text/javascript"></script>
    
    
	<script type='text/javascript'>
	    var googlePageTrackerUrl = '';


	</script>
    <script type="text/javascript">
                function getViewPort() {
                    var width = $(window).width();
                    var height = $(window).height();
                    $("#viewPortWidth").val(width);
                    $("#viewPortHeight").val(height);
                }
                $(window).load(function langtrans() {
                    var language = $('#MSTWMenu').val();
                    if ($('#TranslatorPanel').attr('lang'))
                        $('#TranslatorPanel').data('lang', language);
                    else
                        $('#TranslatorPanel').attr('lang', language);
                })</script>

	<focus:GoogleAnalyticsScriptLiteral ID="GAScriptLiteral" runat="server" />
	
	<asp:ContentPlaceHolder ID="HeadContent" runat="server">
	</asp:ContentPlaceHolder>
	
	<!--[if lte IE 9]><link href="<%# UrlHelper.GetCacheBusterUrl("~/Assets/Css/Focus.IE.css") %>" rel="stylesheet" type="text/css"/><![endif]-->
	<!--[if lt IE 9]><script src="<%# ResolveUrl("~/Assets/Scripts/respond.js") %>"></script><![endif]-->
	
	<asp:Literal ID="FocusCssLiteral" runat="server" />
    <asp:Literal ID="FocusStyle" runat="server" />
	<script type="text/javascript">
		sessionTimeout = '<%# Session.Timeout %>';
		urlHome = '<%# UrlBuilder.Home() %>'; // Need to handle the redirect if SSO in use.
		urlServiceMethod = '<%# UrlBuilder.AjaxService() %>';
		count = 60 * sessionTimeout;
	</script>
</head>
<body class="<%= BodyClass %>">
	<form id="SiteForm" runat="server">
	<div id="divtimer">
		<span id="timer"></span>
		<br />
		<br />
		<button class="buttonLevel2" onclick="ResetTimer(); return false;">No, I&#39;d like to use the session</button>
	</div>
	<div id="disableDuringLogout"></div>
	<div id="wrap">
		<div class="page container">
			<div id="header">
				<div id="headerTopWrap">
					<div id="headerTop" >
						<div id="CustomHeader" runat="server"></div>
						<div id="MainLogoImageWrapper"><asp:Image runat="server" ID="MainLogoImage" alt="Main Logo" /></div>
						<div id="toolbarTop">
							<div id="toolbarFontSize">
								<asp:LinkButton ID="SmallTextLinkButton" runat="server" CssClass="smallFontSize" CommandName="FocusSmall" OnCommand="TextLinkButton_Command" Text="A" />
										<asp:LinkButton ID="MediumTextLinkButton" runat="server" CssClass="mediumFontSize" CommandName="FocusMedium" OnCommand="TextLinkButton_Command" Text="A" />
										<asp:LinkButton ID="LargeTextLinkButton" runat="server" CssClass="largeFontSize" CommandName="FocusLarge" OnCommand="TextLinkButton_Command" Text="A" />
							</div>
							<div id="toolbarTranslate"><asp:LinkButton ID="lnkTranslator" runat="server" Text="Translate"></asp:LinkButton></div>
							<br class="clear"/>
						</div>
                        <div id="toolbarMiddle">
                            <span id="UsernameSpeechBubblePanel" runat="server" class="usernameSpeechBubble">
								<span class="usernameSpeechBubbleLeft">
                                </span>
                                <span class="usernameSpeechBubbleRight">
									<span class="usernameSpeechBubbleText">
                                        <strong><asp:Literal ID="HeadLoginName" runat="server" /></strong>
                                    </span>
                                </span>
							</span>
                        </div>
						
						<div id="toolbarBottom">
							<nav>
								<asp:Panel ID="LoginControls" runat="server">
									<ul>
										<li><a href="#" onclick="javascript:$find('LogInModal').show();"><focus:LocalisedLabel runat="server" ID="LogInLabel" RenderOuterSpan="False" LocalisationKey="Global.LogIn.Text" DefaultText="Sign in"/></a></li>
										<li><a href="#" onclick="javascript:$find('RegisterModal').show();"><focus:LocalisedLabel runat="server" ID="RegisterLabel" RenderOuterSpan="False" LocalisationKey="Global.Register.Text" DefaultText="Register"/></a></li>
									</ul>
								</asp:Panel>
								<asp:Panel ID="LoggedInControls" runat="server">
									<ul>
									  <asp:PlaceHolder runat="server" ID="BookmarksPlaceHolder">
										  <li><a href="<%= UrlBuilder.MyBookmarks() %>" onclick="javascript:showProcessing();"><focus:LocalisedLabel runat="server" ID="MyBookmarksLabel" RenderOuterSpan="False" LocalisationKey="MyBookmarks.LinkText" DefaultText="My bookmarks"/></a></li>
                    </asp:PlaceHolder>
										<li id="MyAccountLink" runat="server"><asp:LinkButton ID="MyAccountLinkButton" runat="server" OnClientClick="showProcessing();" OnClick="MyAccountLinkButton_Click" ></asp:LinkButton></li>
                    <li id="TutorialLink" runat="server"><asp:HyperLink runat="server" ID="TutorialHyperLink"></asp:HyperLink></li>
                    <li><a href="#" onclick="javascript:$find('LogOutModal').show();"><focus:LocalisedLabel runat="server" ID="LogOutLabel" RenderOuterSpan="False" LocalisationKey="LogOut.LinkText" DefaultText="Sign out"/></a></li>
									</ul>
								</asp:Panel>
							</nav>
						</div>
					</div>
				</div>
				<asp:ContentPlaceHolder ID="HeaderContent" runat="server" />
			</div>
			<div id="navBottomBorder">
			</div>
			<div id="navShadowFix">
			</div>
			<%-- Ajax Script Manager --%>
			<act:ToolkitScriptManager ID="ScriptManagerMain" runat="server" EnableCdn="True" ScriptMode="Release" EnableScriptGlobalization="true" EnableScriptLocalization="true" />
			<div id="main">
            <%-- Ajax Update Progess Panel --%>
				<asp:UpdateProgress ID="UpdateProgressIndicator" runat="server" DisplayAfter="100">
					<ProgressTemplate>
					<div id="progressBackground">
						</div>
						<div class="updateprogress">
                        <font size="6">Loading...</font>
						</div>
					</ProgressTemplate>
				</asp:UpdateProgress>
				<%-- Page Content --%>
				<asp:ContentPlaceHolder ID="MainContent" runat="server" />
			</div>
	</div>
	</div>
	<uc:BddModal ID="MasterBddModal" runat="server" ClientIDMode="AutoID" />
	<div class="container">
		<footer>
			<div id="CustomFooter" runat="server" style="width:100%;text-align: center;margin-top: 10px;"></div>
			<div id="footerLeft">
				<span class='instructions'><em><%= VersionInfo %></em></span>
			</div>
      <div id="footerMiddle">
        <asp:PlaceHolder runat="server" ID="LegalNoticePlaceHolder">
          <a runat="server" ID="LegalNoticeUrl" target="_blank">
				  <%= HtmlLocalise( "Global.LegalNotices.Text", "Legal Notices" )%></a>
        </asp:PlaceHolder>
      </div>
			<div id="footerRight">
				<span id="footerCopyright">&copy;<%= DateTime.Now.Year.ToString()%> Burning Glass International, Inc.</span>
				<asp:Image ID="FooterImage" runat="server" SkinID="FooterLogoImage" alt="Footer Logo" />
			</div>
		</footer>
	</div>
	<uc:ForgotPassword ID="ForgotPasswordPopUp" runat="server" />
<uc:LogOut ID="MainLogOut" runat="server" ClientIDMode="Static" OnLoggedOut="MainLogOut_OnLoggedOut" />
	<uc:MyAccount ID="MyAccountpopup" runat="server" OnMyAccountUpdated="MyAccount_Updated" />
	<uc:LogIn ID="MainLogIn" runat="server" ClientIDMode="Static" OnLoggedIn="MainLogIn_OnLoggedIn" OnLogInCancelled="MainLogIn_OnLoggedInCancelled" />
  <uc:ConfirmationModal ID="Confirmation" runat="server" />
	<act:ModalPopupExtender ID="TranslatorModal" runat="server" BehaviorID="TranslatorModal"
		TargetControlID="lnkTranslator" PopupControlID="TranslatorPanel" BackgroundCssClass="modalBackground" RepositionMode="RepositionOnWindowResizeAndScroll"/>
	<div id="TranslatorPanel" class="modal" style="z-index:100001; display:none;">
		<div class="lightbox FocusCareer">
			<div class="modalHeader">
				<focus:LocalisedLabel runat="server" ID="TranslatorLabel" CssClass="modalTitle modalTitleLarge" LocalisationKey="Translator.Label" DefaultText="Language Translation"/>
			</div>
			<div id="MicrosoftTranslatorWidget" style="width: auto;min-height:20px; border-color:#594E8C; background-color:#594E8C;"></div>
			<script type="text/javascript">/* <![CDATA[ */setTimeout(function() {
			        var s = document.createElement("script"); s.type = "text/javascript"; s.charset = "UTF-8"; s.src = ((location && location.href && location.href.indexOf('https') == 0) ? "https://ssl.microsofttranslator.com" : "http://www.microsofttranslator.com") + "/ajax/v2/widget.aspx?mode=auto&from=en&layout=ts"; var p = document.getElementsByTagName('head')[0] || document.documentElement; p.insertBefore(s, p.firstChild);}, 0); /* ]]> */</script>
              <script type="text/javascript">
                  $(window).on('load', function() {
                      var content = $('#MicrosoftTranslatorWidget').children('#MSTWContent');
                      var getShare = content.children('#MSTWFooter').children('#MSTWGetShare');
                      content.children('#MSTWHeader').children().eq(1).children('#MSTWGoButton').children('#MSTWGoImage').attr('alt', "Go Image");
                      getShare.children('#MSTWGetButton').children('#MSTWGetImage').attr('alt', "Get Image");
                      getShare.children('#MSTWShareButton').children('#MSTWShareImage').attr('alt', "Share Image");
                  });
            </script>
       <div class="modalMessage">Please select the language and click on play button to translate the page.</div>
			<div class="modalButtons"><button id="TranslatorCloseButton" class="buttonLevel2" onclick="$find('TranslatorModal').hide(); return false;">Close</button></div>
		</div>
	</div>
	<asp:UpdatePanel ID="AlertModalUpdatepanel" runat="server" UpdateMode="Always">
		<ContentTemplate>
			<uc:AlertModal ID="AlertModal" runat="server" />
		</ContentTemplate>
	</asp:UpdatePanel>
  <asp:Panel runat="server" ID="LocalisePanel">
		<table width="100%" role="presentation">
		  <tr><td><uc:PageLocalise ID="PageLocalise" runat="server"/></td></tr>
		</table>
  </asp:Panel>
  <asp:HiddenField ID="viewPortWidth" runat="server" />
<asp:HiddenField ID="viewPortHeight" runat="server" />
  	</form>    
</body>
</html>
